# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KEditListBox::CustomEditor Class Reference

Custom editor class. More...

`#include <keditlistbox.h>`

Collaboration diagram for KEditListBox::CustomEditor:

[legend]
List of all members.

## Public Member Functions

KDEUI_EXPORT | CustomEditor (QWidget *repWidget, KLineEdit *edit)
KDEUI_EXPORT | CustomEditor (KComboBox *combo)
KDEUI_EXPORT void | setRepresentationWidget (QWidget *repWidget)
KDEUI_EXPORT void | setLineEdit (KLineEdit *edit)
virtual KDEUI_EXPORT QWidget * | representationWidget () const
virtual KDEUI_EXPORT KLineEdit * | lineEdit () const

## Protected Attributes

QWidget * | m_representationWidget
KLineEdit * | m_lineEdit

## Detailed Description

Custom editor class.

Since:
  3.1

Definition at line 58 of file keditlistbox.h.

The documentation for this class was generated from the following files:

- keditlistbox.h
- keditlistbox.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003